Skip to main content
POST
/
workspace
/
integrations
Create an Integration
curl --request POST \
  --url https://wks-a1b2c3d4.provisionr.io/api/v1/workspace/integrations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "vendor": "demo",
  "handle": "<string>",
  "manager_enabled": true,
  "manager_id_child_key": "<string>",
  "manager_id_parent_key": "<string>",
  "retention_days": 547,
  "sync_enabled": true,
  "credentials": [
    "<string>"
  ]
}
'
{
  "id": "<string>",
  "is_primary": true,
  "vendor": "<string>",
  "name": "<string>",
  "handle": "<string>",
  "domain": "<string>",
  "manager_enabled": true,
  "manager_id_child_key": "<string>",
  "manager_id_parent_key": "<string>",
  "retention_days": 123,
  "sync_enabled": true,
  "metadata": {},
  "timestamp": {
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "deleted_at": "2023-11-07T05:31:56Z",
    "synced_at": "2023-11-07T05:31:56Z"
  },
  "count": {
    "directory_attributes": 123,
    "directory_dimensions": 123,
    "directory_identities": 123,
    "policy_conditions": 123,
    "workspace_logs_parent": 123,
    "workspace_logs_record": 123,
    "workspace_logs_related": 123
  },
  "links": {
    "self": "<string>",
    "directory_attributes": "<string>",
    "directory_dimensions": "<string>",
    "directory_identities": "<string>",
    "policy_conditions": "<string>",
    "workspace_logs_parent": "<string>",
    "workspace_logs_record": "<string>",
    "workspace_logs_related": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.provisionr.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

CreateWorkspaceIntegrationRequestData

vendor
enum<string>
required

The type of integration

demo
Provisionr Demo Data
gitlab_saas
GitLab.com SaaS
gitlab_self
GitLab Self-Managed Instance
google
Google Workspace
okta
Okta Workforce Identity
slack
Slack
Available options:
demo,
gitlab_saas,
gitlab_self,
google,
okta,
slack
Example:

"okta"

handle
string

Short-hand cosmetic string to help your administrators uniquely identify this integration

Example:

"okta-prod"

manager_enabled
boolean

Whether to use this integration to lookup manager ID for Directory Users

manager_id_child_key
string

The column name in the direct report of the manager that contains the manager lookup value

Maximum string length: 255
Example:

"managerId"

manager_id_parent_key
string

The column name in the manager record that contains the ID that direct reports are matched to

Maximum string length: 255
Example:

"employeeNumber"

retention_days
integer

Number of days to retain user records after their deactivation date

Required range: 0 <= x <= 1095
Example:

90

sync_enabled
boolean

Whether to scheduled cron sync is enabled. You can temporarily disable this as needed

credentials
string[]

Array of credentials for the integration. See the documentation to see the syntax for each vendor

Example:

"{'url': 'https://example.okta.com', 'token': 'S3cr3tK3yG03sH3r3'}"

Response

WorkspaceIntegrationDetailedResponseData

id
string
required
Example:

"wsitg_01hq8xyzabc123def456ghi789"

is_primary
boolean
required

Whether this is the primary identity integration for the workspace

vendor
string
required

The vendor of the identity integration

Example:

"okta"

name
string
required

The display name of the identity integration

Example:

"Okta"

handle
string
required

The handle of the identity integration

Example:

"okta-prod"

domain
string | null
required

The domain of the identity integration

Example:

"example.okta.com"

manager_enabled
boolean
required

Whether manager hierarchy is enabled for this integration

manager_id_child_key
string | null
required

The field name in the integration data that contains the manager ID

Example:

"managerId"

manager_id_parent_key
string | null
required

The field name in the target data where the manager ID should be stored

Example:

"manager_id"

retention_days
integer
required

The number of days to retain synced data

Example:

90

sync_enabled
boolean
required

Whether automatic syncing is enabled

metadata
object
required

The integration's custom key/value metadata added by someone or automation in your organization

Example:
{
"managed_by": "Identity Team",
"security_classification": "red"
}
timestamp
WorkspaceIntegrationTimestampResponseData · object
required

The timestamps for the workspace integration record

count
object
required

Counts of related resources

API hyperlinks related to the workspace integration record